=== debian/changelog ===
editline (1.12-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761745.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:23:05 +0000

editline (1.12-6) unstable; urgency=low

  * Switch package format to 3.0 (quilt).
  * 200_fix-truncation-at-64-char.diff: fix invalid 64-char truncation in
    batch mode, courtesy of Mark O'Donohue. Thanks to Damyan Ivanov for
    forwarding the patch from Ubuntu (Closes: #508640).

 -- Sam Hocevar <sho@debian.org>  Sun, 03 Jan 2010 15:45:34 +0100

editline (1.12-5) unstable; urgency=low

  * New maintainer (Closes: #229962).
  * debian/changelog:
    + Removed emacs helper variables.
  * debian/control:
    + Set policy to 3.6.1.0.
    + Set debhelper build dependency to (>= 4.0).
    + Use the default dh_shlibs information, since the API is rock stable
      (Closes: #131139).
    + Removed the libc6-dev dependency in the -dev package.
    + Rephrased the short and long descriptions.
  * debian/copyright:
    + Replaced "Author(s)" with "Author".
  * debian/rules:
    + Removed obsolete call to dh_suidregister.
    + Use debian/compat instead of DH_COMPAT.
  * include_editline.h:
    + Added a minimalist /usr/include/editline.h (Closes: #129544).
  * Makefile:
    + Call libtool with the proper --mode flags.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 31 Jan 2004 22:32:35 +0100

editline (1.12-4) unstable; urgency=low

  * Add a Build-Depends for debhelper and libtool.  Thought those
    were baseline.  closes: #117780

 -- Jim Studt <jim@federated.com>  Thu, 15 Nov 2001 19:00:00 -0600

editline (1.12-3) unstable; urgency=low

  * Make man pages not be in the shared library package.

 -- Jim Studt <jim@federated.com>  Sat, 13 Jan 2001 00:03:53 -0600

editline (1.12-2) unstable; urgency=low

  * Patch to not declare read() and write(), it fails on alphas.

 -- Jim Studt <jim@federated.com>  Tue, 12 Sep 2000 16:39:34 -0500

editline (1.12-1) unstable; urgency=low

  * Initial Release.

 -- Jim Studt <jim@federated.com>  Fri,  5 May 2000 13:25:51 -0500
