=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# shared library versions, option 1
version=0.0.0
major=0

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/libeditline-dev
	cp include_editline.h \
	   `pwd`/debian/libeditline-dev/usr/include/editline.h

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	# build libeditline${major} package by moving files from editline-dev
	dh_movefiles --sourcedir=debian/libeditline-dev \
	             -plibeditline$(major) \
	             usr/lib/libeditline.so.$(major) \
	             usr/lib/libeditline.so.$(version)
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installmanpages
	rm -rf debian/libeditline0/usr/share/man/
	dh_installcron
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
